Bug 1412129 - Recommendations for RHOS10 Director Installation and Usage documentation
Summary: Recommendations for RHOS10 Director Installation and Usage documentation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 10:21 UTC by Nikhil Shetty
Modified: 2017-02-27 07:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-27 07:16:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nikhil Shetty 2017-01-11 10:21:38 UTC
Version-Release number of selected component (if applicable):RHOS10

Description of problem:

Point 1

Actual info:

In point 2.2.1 
below the comment 
" The KVM host requires the following packages: "

we give following List

"$ yum install libvirt-client libvirt-daemon qemu-kvm libvirt-daemon-driver-qemu libvirt-daemon-kvm virt-install "

Expected Info 

We need to add packages : bridge to the required packages, as it is required to create 2 bridges

br-ex, br-ctlplane,

We need rsync package to backup undercloud VM created 

the updated command should contain

 #  yum install libvirt-client libvirt-daemon qemu-kvm libvirt-daemon-driver-qemu libvirt-daemon-kvm virt-install bridge rsync

# brctl addbr br-ex 
# brctl addbr br-ctlplane
 # ifconfig br-ctlplane up
 # ifconfig br-ex up

These updates are required so that we can begin with installation

Comment 1 Dan Macpherson 2017-01-18 02:38:36 UTC
Hi Nikhil,

Thanks for sending this. I'll update the doc accordingly.

Also, I think the first package is actually bridge-utils.

Comment 2 Nikhil Shetty 2017-01-23 12:41:58 UTC
Hi Dan,

Yes, the package name is bridge-utils.

Comment 3 Dan Macpherson 2017-02-27 06:50:18 UTC
Hi Nikhil,

These packages has been added to the yum command:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html/director_installation_and_usage/chap-requirements#virtualization_support

Was there anything else required for this BZ?

Comment 4 Nikhil Shetty 2017-02-27 07:15:11 UTC
Thanks Dan


Note You need to log in before you can comment on or make changes to this bug.